io_dontwantwrite(3)

NAME
io_dontwantwrite - signal that you do not want to write to a descriptor

SYNTAX
#include <libowfat/io.h>

void io_dontwantwrite(int64 fd);

DESCRIPTION
io_dontwantwrite tells the next io_wait() that you don't want to write to this descriptor for now. Call io_wantwrite() again if you change your mind.

You have to have called io_fd on the descriptor first (io_pipe and io_socketpair do this for you). Waiting on descriptors only works for sockets, fifos and pipes. It may also work on devices and TTYs, but that is platform dependent -- you should not rely on that.

SEE ALSO
io_wait(3), io_canwrite(3), io_wantwrite(3), io_fd(3)